## xine-lib-1-rc4a.tar.bz2

=== win32/source/Makefile ===
# Makefile for compilation xineui under cygwin.
# It requires installed libxine1.

OBJS = main.o wnd.ctrl.o wnd.panel.o wnd.playlist.o wnd.video.o xineui.o resource.o
CFLAGS=-g -O2

all: $(OBJS)
	$(CXX) $(OBJS) `xine-config --libs` -luser32 -lgdi32 -lcomdlg32 -lcomctl32 -o xineui

resource.o: resource.rc
	windres -i $< -o $@

clean:
	-$(RM) $(OBJS) *.exe *~

.cpp.o:
	$(CC) -W -Wall $(CFLAGS) `xine-config --cflags` -c $<

=== win32/contrib/pthreads/Makefile ===

# This makefile is compatible with MS nmake and can be used as a
# replacement for buildlib.bat. I've changed the target from an ordinary dll
# (/LD) to a debugging dll (/LDd).
# 
# The variables $DLLDEST and $LIBDEST hold the destination directories for the
# dll and the lib, respectively. Probably all that needs to change is $DEVROOT.

DEVROOT=c:\pthreads\dll

DLLDEST=$(DEVROOT)
LIBDEST=$(DEVROOT)

DLLS	= pthreadVCE.dll pthreadVSE.dll pthreadVC.dll

# C++ Exceptions
VCEFLAGS	= /GX /TP /DPtW32NoCatchWarn /D__CLEANUP_CXX
#Structured Exceptions
VSEFLAGS	= /D__CLEANUP_SEH
#C cleanup code
VCFLAGS	= /D__CLEANUP_C

CFLAGS	= /W3 /MT /nologo /Yd /Zi /I. /D_WIN32_WINNT=0x400 /DPTW32_BUILD

OBJ=  attr.obj \
	barrier.obj \
	cancel.obj \
	cleanup.obj \
	condvar.obj \
	create.obj \
	dll.obj \
	errno.obj \
	exit.obj \
	fork.obj \
	global.obj \
	misc.obj \
	mutex.obj \
	nonportable.obj \
	private.obj \
	rwlock.obj \
	sched.obj \
	semaphore.obj \
	signal.obj \
	spin.obj \
	sync.obj \
	tsd.obj

all:
	@ echo Run one of the following command lines:
	@ echo nmake clean VCE   (to build the MSVC dll with C++ exception handling)
	@ echo nmake clean VSE   (to build the MSVC dll with structured exception handling)
	@ echo nmake clean VC    (to build the MSVC dll with C cleanup code)

auto:
	@ nmake clean VCE
	@ nmake clean VSE
	@ nmake clean VC

VCE:
	@ nmake /nologo EHFLAGS="$(VCEFLAGS)" pthreadVCE.dll

VSE:
	@ nmake /nologo EHFLAGS="$(VSEFLAGS)" pthreadVSE.dll

VC:
	@ nmake /nologo EHFLAGS="$(VCFLAGS)" pthreadVC.dll

realclean: clean
	if exist *.dll del *.dll
	if exist *.lib del *.lib

clean:
	if exist *.obj del *.obj
	if exist *.ilk del *.ilk
	if exist *.pdb del *.pdb
	if exist *.exp del *.exp
	if exist *.o del *.o


install: $(DLLS)
	copy pthread*.dll $(DLLDEST)
	copy pthread*.lib $(LIBDEST)

$(DLLS): $(OBJ) pthread.def
	cl /LD /Zi /nologo $(OBJ) \
		/link /nodefaultlib:libcmt /implib:$*.lib \
		msvcrt.lib /def:pthread.def /out:$@

.c.obj:
	cl $(EHFLAGS) $(CFLAGS) -c $<

=== debian/changelog ===
xine-lib (1-rc4-1) unstable; urgency=low

  * New upstream release

 -- Siggi Langauf <siggi@debian.org>  Wed, 28 Apr 2004 20:28:02 +0200

xine-lib (1-rc3c-1) unstable; urgency=low

  * new upstream version
    - includes workaround for XV_HUE bug on NVidia cards (closes: #238433)
  * build-depends on libpng-dev for PNG support (closes: #240524)
  * build-depends on libfreetype6-dev for TTF support (closes: #242031)
  
 -- Siggi Langauf <siggi@debian.org>  Wed,  7 Apr 2004 23:58:08 +0200

xine-lib (1-rc3b-1) unstable; urgency=low

  * new upstream release
    - lots of bug fixes (see upstream ChangeLog), including:
    - allows devfs compatible DSP device names (closes: #193459)
    - Michel's segfault patch (closes: #22875)

 -- Siggi Langauf <siggi@debian.org>  Tue, 16 Mar 2004 22:43:36 +0100

xine-lib (1-rc3a-2) unstable; urgency=high

  * updated shlibs: 1-rc3(a) provides new OSD functions (will close: 225618)
  * fixed OSS plugin initialization code (closes: 225275)

 -- Siggi Langauf <siggi@debian.org>  Wed, 31 Dec 2003 15:41:17 +0100

xine-lib (1-rc3a-1) unstable; urgency=high

  * new upstream release
    * fixes ABI compatibility (closes: 224931)
  * audio demuxer group is loaded again (closes: 225158)

 -- Siggi Langauf <siggi@debian.org>  Sun, 28 Dec 2003 11:56:16 +0100

xine-lib (1-rc3-2) unstable; urgency=low

  * merged some updates from upstream CVS:
    * define SCSI_BLK_MAJOR macro for kernel 2.6 (closes: 224695)
    * fix endianness for arts audio (closes: 190356)

 -- Siggi Langauf <siggi@debian.org>  Tue, 23 Dec 2003 01:38:29 +0100

xine-lib (1-rc3-1) unstable; urgency=low

  * new upstream release
    * builds libxine with -fPIC on all architectures (closes: #217140)

 -- Siggi Langauf <siggi@debian.org>  Mon, 15 Dec 2003 11:49:25 +0100

xine-lib (1-rc2-1) unstable; urgency=low

  * new upstream release
    * handles "#" and "%" characters in filenames gracefully (closes: #206890)
    * includes enhanced VCD input plugin (closes: 130489)

 -- Siggi Langauf <siggi@debian.org>  Mon, 27 Oct 2003 17:10:28 +0100

xine-lib (1-rc1-1) unstable; urgency=high

  * new upstream release
    * doesn't link static libXv any more (closes: #210650)
    * ALSA driver doesn't block on busy device any more (closes: #211304)
  * suggesting libartsc0 (I have a bad feeling about this, closes: #203961)
  
 -- Siggi Langauf <siggi@debian.org>  Sun,  5 Oct 2003 11:28:06 +0200

xine-lib (1-rc0a-1) unstable; urgency=low

  * new upstream release
    * includes missing DXR3 support file (source only)
    * keeps xine from aborting on broken MPEG streams
  * added speex support

 -- Siggi Langauf <siggi@debian.org>  Sat,  2 Aug 2003 15:40:13 +0200

xine-lib (1-rc0-1) unstable; urgency=low

  * new upstream release
    * new versioning scheme should sort correctly (closes: #194063)
    * includes liba52 fix (closes: #196327)
    * resets decoder priorities if an old config file is found (closes: 193303)
  * libxine-dev depends on libfreetype6-dev (closes: #195738)
    
 -- Siggi Langauf <siggi@debian.org>  Fri,  1 Aug 2003 08:55:22 +0200

xine-lib (1-beta12-1) unstable; urgency=low


  * new upstream version
    * ALSA plugin opens audio device in non-blocking mode (closes: #177877)
    * (old?) QT DLL decoder fixes (closes: #179136)

 -- Siggi Langauf <siggi@debian.org>  Mon, 12 May 2003 18:59:34 +0200

xine-lib (1-beta11-0) unstable; urgency=low

  * New Upstream release

 -- Siggi Langauf <siggi@debian.org>  Sun, 27 Apr 2003 14:08:30 +0200

xine-lib (1-beta10-2) unstable; urgency=low

  * backported xine-lib configure check from upstream CVS

 -- Siggi Langauf <siggi@debian.org>  Wed, 16 Apr 2003 12:46:26 +0200

xine-lib (1-beta10-1) unstable; urgency=low

  * new upstream release
  * updated debhelper dependancy, avoid using --list-missing (closes: #187433)
  * changed libxine-dev section to new "libdevel"

 -- Siggi Langauf <siggi@debian.org>  Mon,  7 Apr 2003 19:31:03 +0200

xine-lib (1-beta9-1) unstable; urgency=low

  * New upstream release
  * correct demuxer should be used since 1-beta8 (closes: #180011)
  
 -- Siggi Langauf <siggi@debian.org>  Sun, 23 Mar 2003 21:15:42 +0100

xine-lib (1-beta8-1) unstable; urgency=low

  * Add pmhahn as Uploaders.
  * New upstream release.
  * Standards-Version 3.5.9:
    - debhelper 4
    - Use 'noopt' instead of 'debug'
    - Remove overrides for plugin shared libraries.
  * Provide non-developer documentation in library package.
  * Build with dxr3 support (closes: #117170)

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Fri, 14 Mar 2003 10:03:16 +0100

xine-lib (1-beta6-1) unstable; urgency=low

  * new upstream release
  * updated artsc build dependancy (closes: #182137)
  * removed obsolete dh_testversion call

 -- Siggi Langauf <siggi@debian.org>  Sun, 23 Feb 2003 00:53:19 +0100

xine-lib (1-beta4-3) unstable; urgency=low

  * added version on FLAC dependancy (closes: #181399)
  * fixed Replaces: xine-dvdnav, so apt should do the transition smoothly
    (closes: #175790)
  * downgraded GNOME recommendation to suggestion (closes: #179523)
  
 -- Siggi Langauf <siggi@debian.org>  Wed, 19 Feb 2003 04:29:21 +0100

xine-lib (1-beta4-2) unstable; urgency=low

  * updated dependancies (closes: #179251):
    - added gnome-vfs input and FLAC support
    - made those dependancies "suggests:"
    - made sdl optional as well

 -- Siggi Langauf <siggi@debian.org>  Sun,  2 Feb 2003 22:09:02 +0100

xine-lib (1-beta4-1) unstable; urgency=low

  * new upstream release (fixes compilation on mmx capable ix86 machines)

 -- Siggi Langauf <siggi@debian.org>  Wed, 29 Jan 2003 19:37:15 +0100

xine-lib (1-beta3-1) unstable; urgency=low

  * new upstream release

 -- Siggi Langauf <siggi@debian.org>  Tue, 28 Jan 2003 21:41:05 +0100

xine-lib (1-beta2-4) unstable; urgency=low

  * removed HPPA compiler hacks (3.2 is now default, and it choked anyway...)
  * removed DXR3 support (closes: #175392, reopens: #117170)
  


=== debian/control ===
Source: xine-lib
Section: libs
Priority: optional
Maintainer: Siggi Langauf <siggi@debian.org>
Uploaders: Philipp Matthias Hahn <pmhahn@debian.org>
Build-Depends: debhelper (>= 4.0.4), aalib1-dev (>= 1.4p5-2), xlibs-dev (>> 4.1), libesd0-dev, zlib1g-dev | libz-dev, libartsc0-dev (>>1.1.0), liblircclient-dev, libogg-dev, libvorbis-dev, libasound2-dev, libflac-dev (>>1.1.0), libgnomevfs2-dev, libspeex-dev, libpng-dev, libfreetype6-dev
Build-Conflicts: libdvdnav-dev
Standards-Version: 3.5.9

Package: libxine-dev
Architecture: any
Section: libdevel
Depends: libxine1 (= ${Source-Version}), libc6-dev, xlibs-dev, zlib1g-dev | libz-dev, slang1-dev, libfreetype6-dev
Conflicts: xine-ui (<< 0.9.10)
Description: the xine video player library, development packages
 This contains development files (headers, documentation and the like)
 for the xine library (libxine).
 .
 Libxine provides the complete infrastructure for a video/media player.
 It supports MPEG 1/2 and some AVI and Quicktime videos out of the box,
 so you can use it to play DVDs, (S)VCDs and most video files out there.
 It supports network streams, subtitles and even mp3 files. It's extensible
 to your heart's content via plugins for audio_out, video_out, input media,
 demuxers (stream types), audio/video and subtitle codecs.
 Building a GUI (or text based) frontend around this should be quite easy.
 The xine-ui package provides one for your convenience, so you can just
 start watching your VCDs ;-)

Package: libxine1
Architecture: any
Depends: ${shlibs:Depends}
Recommends: ${shlibs:Recommends}
Suggests: ${shlibs:Suggests}, libartsc0
Conflicts: sinek(<<0.7), xine-ui (<< 0.9.10)
Replaces: xine-dvdnav
Description: the xine video/media player library, binary files
 This is the xine media player library (libxine). 
 Libxine provides the complete infrastructure for a video/media player.
 It supports MPEG 1/2 and some AVI and Quicktime videos out of the box,
 so you can use it to play DVDs, (S)VCDs and most video files out there.
 It supports network streams, subtitles and even mp3 or ogg files.
 It's extensible to your heart's content via plugins for audio_out,
 video_out, input media, demuxers (stream types), audio/video and
 subtitle codecs.
 Building a GUI (or text based) frontend around this should be quite easy.
 The xine-ui package provides one for your convenience, so you can just
 start watching your VCDs ;-)

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# adapted for xine-lib 2001 by Siggi Langauf

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# assuming created lib in src/xine-engine/.libs/libxine.so.<version>
version=`ls src/xine-engine/.libs/libxine*.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls src/xine-engine/.libs/libxine*.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS += -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
endif
INSTALL_TARGET := install
BUILD_TARGET := all
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_TARGET := install-debug
	BUILD_TARGET := debug
endif

DEB_HOST_GNU_OPTION := 
# the "optimize" flag disables compatibility hacks
ifeq (,$(findstring optimize,$(DEB_BUILD_OPTIONS)))
 $(warning trying to disable machine-specific optimizations)
 $(warning add 'optimize' to DEB_BUILD_OPTIONS to enable them)
 DEB_HOST_GNU_TYPE := \
  $(shell echo $(DEB_HOST_GNU_TYPE)|sed -e 's/^alphaev56/alpha/')
 DEB_BUILD_GNU_TYPE := \
  $(shell echo $(DEB_BUILD_GNU_TYPE)|sed -e 's/^alphaev56/alpha/')
 #on intel architectures, xine probes CPU specific optimizations on runtime
 DEB_HOST_GNU_TYPE := \
  $(shell echo $(DEB_HOST_GNU_TYPE)|sed -e 's/^i.86/i686/')
 DEB_BUILD_GNU_TYPE := \
  $(shell echo $(DEB_BUILD_GNU_TYPE)|sed -e 's/^i.86/i686/')
 ifneq ($DEB_HOST_GNU_TYPE,$DEB_BUILD_GNU_TYPE)
  $(warning WARNING: cross compiling is not supported by xine)
  $(warning          using DEB_BUILD_GNU_TYPE = $(DEB_BUILD_GNU_TYPE))
  $(warning          ignoring DEB_HOST_GNU_TYPE = $(DEB_HOST_GNU_TYPE))
  DEB_HOST_GNU_TYPE := $(DEB_BUILD_GNU_TYPE)
 endif
 DEB_HOST_GNU_OPTION := --host=$(DEB_HOST_GNU_TYPE)
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure --prefix=/usr --mandir=\$${prefix}/share/man \
                    $(DEB_HOST_GNU_OPTION)
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	test -f Makefile && $(MAKE) distclean || true
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp \
			LIBRARY_PATH=$(CURDIR)/debian/tmp/usr/lib

binary-indep: build install
# We have nothing architecture-independant to do.


binary-arch: build install
	dh_testdir
	dh_testroot
	#
	# build libxine${major} package by moving files from libxine-dev
	#TODO (when sarge is stable):
	#use this dh_install line, and remove debian/tmp/ from *.install!
	#dh_install --autodest --sourcedir=debian/tmp --list-missing
	dh_install --autodest
	dh_installdocs
	dh_installchangelogs -k ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V 'libxine1 (>= 1-rc3a)'
	dh_installdeb
#	dh_shlibdeps
	chmod +x debian/shlibdeps.sh
	debian/shlibdeps.sh libxine${major}
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
